Extending Qt Creator Manual | EnvironmentKitInformation

Extending Qt Creator Manual 4.5.2

# EnvironmentKitInformation Class

(ProjectExplorer::EnvironmentKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| EnvironmentKitInformation()

## Reimplemented Public Functions

virtual void | addToEnvironment(const Kit *k, Utils::Environment &env) const override
virtual KitConfigWidget * | createConfigWidget(Kit *k) const override
virtual QVariant | defaultValue(const Kit *k) const override
virtual void | fix(Kit *k) override
virtual ItemList | toUserOutput(const Kit *k) const override
virtual QList<Task> | validate(const Kit *k) const override

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

QList<Utils::EnvironmentItem> | environmentChanges(const Kit *k)
Core::Id | id()
void | setEnvironmentChanges(Kit *k, const QList<Utils::EnvironmentItem> &changes)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### EnvironmentKitInformation::EnvironmentKitInformation()

Default constructs an instance of EnvironmentKitInformation.

### `[override virtual]` void EnvironmentKitInformation::addToEnvironment(const Kit *k, Utils::Environment &env) const

### `[override virtual]` KitConfigWidget *EnvironmentKitInformation::createConfigWidget(Kit *k) const

### `[override virtual]` QVariant EnvironmentKitInformation::defaultValue(const Kit *k) const

### `[static]` QList<Utils::EnvironmentItem> EnvironmentKitInformation::environmentChanges(const Kit *k)

See also setEnvironmentChanges().

### `[override virtual]` void EnvironmentKitInformation::fix(Kit *k)

### `[static]` Core::Id EnvironmentKitInformation::id()

### `[static]` void EnvironmentKitInformation::setEnvironmentChanges(Kit *k, const QList<Utils::EnvironmentItem> &changes)

See also environmentChanges().

### `[override virtual]` ItemList EnvironmentKitInformation::toUserOutput(const Kit *k) const

### `[override virtual]` QList<Task> EnvironmentKitInformation::validate(const Kit *k) const